Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

# Class ResolutionUtil

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.ResolutionUtil

public final class ResolutionUtil extends Object
Utility class that provides a few static methods useful for resolving.

## Method Summary

Modifier and Type
Method
Description
`static org.eclipse.core.resources.IFile`
`getFileAt(URI uri)`
Returns the IFile located at the given URI.
`static CrossReferenceResolutionScope`
`getResolutionScope()`
Tells this resolver how much of the dependency graph should be created at once.
`static boolean`
`isInterruptedOrCanceled(org.eclipse.core.runtime.IProgressMonitor monitor)`
Checks if the current thread is interrupted or if the given monitor has been canceled.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getResolutionScope

public static CrossReferenceResolutionScope getResolutionScope()
Tells this resolver how much of the dependency graph should be created at once. Note that this value may change during a resolution, which sole "visible" effect would be to prevent resolution of further outgoing references if the new value is "SELF".

Returns:
  The current resolution scope.

### isInterruptedOrCanceled

public static boolean isInterruptedOrCanceled(org.eclipse.core.runtime.IProgressMonitor monitor)
Checks if the current thread is interrupted or if the given monitor has been canceled.

Parameters:
  `monitor` - the monitor to check
Returns:
  true if the current thread has been canceled, false otherwise.

### getFileAt

public static org.eclipse.core.resources.IFile getFileAt(URI uri)
Returns the IFile located at the given URI.

Parameters:
  `uri` - URI we need the file for.
Returns:
  The IFile located at the given URI.